Package org.htmlunit

# Class NiceRefreshHandler

java.lang.Object
org.htmlunit.ImmediateRefreshHandler
org.htmlunit.NiceRefreshHandler

All Implemented Interfaces:
  `Serializable`, `RefreshHandler`

public class NiceRefreshHandler extends ImmediateRefreshHandler
This refresh handler performs an immediate refresh if the refresh delay is less or equal to the configured time and otherwise ignores totally the refresh instruction.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NiceRefreshHandler(int maxDelay)`
  Creates a new refresh handler that will immediately refresh if the refresh delay is no longer than `maxDelay`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleRefresh(Page page, URL url, int requestedWait)`
  Refreshes the specified page using the specified URL immediately if the `requestedWait` is not larger than the `maxDelay`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NiceRefreshHandler

    public NiceRefreshHandler(int maxDelay)
    Creates a new refresh handler that will immediately refresh if the refresh delay is no longer than `maxDelay`. No refresh will be perform at all for refresh values larger than `maxDelay`.
    Parameters:
      `maxDelay` - the maximum refreshValue (in seconds) that should cause a refresh

- ## Method Details

  - ### handleRefresh

    public void handleRefresh(Page page, URL url, int requestedWait) throws IOException
    Refreshes the specified page using the specified URL immediately if the `requestedWait` is not larger than the `maxDelay`. Does nothing otherwise.
    Specified by:
      `handleRefresh` in interface `RefreshHandler`
    Overrides:
      `handleRefresh` in class `ImmediateRefreshHandler`
    Parameters:
      `page` - the page that is going to be refreshed
      `url` - the URL where the new page will be loaded
      `requestedWait` - the number of seconds to wait before reloading the page
    Throws:
      `IOException` - if the refresh fails